[Overview][Constants][Classes][Index] | Reference for unit 'inicol' (#fcl)

# TNamedIniCollection.FindByUserData

Return the item based on its UserData

## Declaration

Source position: inicol.pp line 85

`public function TNamedIniCollection.FindByUserData(`
`UserData: TObject`
`):TNamedIniCollectionItem;`

## Arguments

`UserData` |  | Userdata to look for

## Function result

Found item, or Nil if none was found.

## Description

FindByName returns the collection item whose UserData property value matches the UserData parameter. If no item is found, Nil is returned.

## Errors

If no item is found, Nil is returned.